libetonyek::IWORKTabularModelElement Class Reference documentation

libetonyek::IWORKTabularModelElement Class Reference

`#include <IWORKTabularModelElement.h>`

Inheritance diagram for libetonyek::IWORKTabularModelElement:

## Public Member Functions
| IWORKTabularModelElement (IWORKXMLParserState &state, bool isDefinition=false)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | startOfElement () override
| Signalize the start of an element.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | sendStyle (const IWORKStylePtr_t &style, const std::shared_ptr< IWORKTable > &table)

## Private Attributes
bool | m_isDefinition
boost::optional< ID_t > | m_id
boost::optional< std::string > | m_tableName
boost::optional< std::string > | m_tableId
boost::optional< ID_t > | m_styleRef
boost::optional< unsigned > | m_headerColumns
boost::optional< unsigned > | m_headerRows
boost::optional< unsigned > | m_footerRows
std::map< std::pair< unsigned, unsigned >, ID_t > | m_coordinateCommentRefMap

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTabularModelElement()

libetonyek::IWORKTabularModelElement::IWORKTabularModelElement | ( | IWORKXMLParserState & | state,
|  | bool | isDefinition = false )
| explicit

Referenced by IWORKTabularModelElement().

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKTabularModelElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTabularModelElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKTabularModelElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ sendStyle()

void libetonyek::IWORKTabularModelElement::sendStyle | ( | const IWORKStylePtr_t & | style,
|  | const std::shared_ptr< IWORKTable > & | table )
| private

Referenced by endOfElement().

## ◆ startOfElement()

void libetonyek::IWORKTabularModelElement::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_coordinateCommentRefMap

std::map<std::pair<unsigned,unsigned>,ID_t> libetonyek::IWORKTabularModelElement::m_coordinateCommentRefMap
| private

Referenced by element(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_footerRows

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_footerRows
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_headerColumns

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_headerColumns
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_headerRows

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_headerRows
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKTabularModelElement::m_id
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_isDefinition

bool libetonyek::IWORKTabularModelElement::m_isDefinition
| private

Referenced by endOfElement(), IWORKTabularModelElement(), and startOfElement().

## ◆ m_styleRef

boost::optional<ID_t> libetonyek::IWORKTabularModelElement::m_styleRef
| private

Referenced by element(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_tableId

boost::optional<std::string> libetonyek::IWORKTabularModelElement::m_tableId
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

## ◆ m_tableName

boost::optional<std::string> libetonyek::IWORKTabularModelElement::m_tableName
| private

Referenced by attribute(), endOfElement(), and IWORKTabularModelElement().

The documentation for this class was generated from the following files:

- IWORKTabularModelElement.h
- IWORKTabularModelElement.cpp